(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["pmxOverlay"] = factory();
	else
		root["pmxOverlay"] = factory();
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = overlay;
	function __onActivate(_ref, paramTargetEl) {
	  var el = _ref.el;
	  var targetEl = _ref.targetEl;
	  var focus = _ref.focus;
	  var css = _ref.css;
	  var classes = css.classes;
	
	  if (targetEl === paramTargetEl) {
	    el.classList.remove(classes.get('deactivated'));
	    el.classList.add(classes.get('activated'));
	    focus.activate();
	  }
	}
	
	function __onDeactivate(_ref2, paramTargetEl) {
	  var el = _ref2.el;
	  var targetEl = _ref2.targetEl;
	  var focus = _ref2.focus;
	  var css = _ref2.css;
	  var classes = css.classes;
	
	  if (targetEl === paramTargetEl) {
	    el.classList.remove(classes.get('activated'));
	    el.classList.add(classes.get('deactivated'));
	    focus.deactivate();
	  }
	}
	
	function __attachListeners(_ref3) {
	  var config = _ref3.config;
	  var shared = _ref3.shared;
	  var el = config.el;
	  var targetEl = config.targetEl;
	  var events = config.events;
	  var css = config.css;
	  var emitter = shared.emitter;
	  var focusTrap = shared.focusTrap;
	
	  var focus = focusTrap(targetEl, {
	    onDeactivate: function onDeactivate() {
	      emitter.emit(events.get('deactivate'));
	    }
	  });
	  var handlers = new Map([['activate', __onActivate.bind(null, { el: el, targetEl: targetEl, focus: focus, css: css })], ['deactivate', __onDeactivate.bind(null, { el: el, targetEl: targetEl, focus: focus, css: css })]]);
	
	  events.forEach(function (evt, type) {
	    console.log('registrando ::>', evt);
	    emitter.on(evt, handlers.get(type));
	  });
	}
	
	function overlay() {
	  return {
	    init: function init(cfg, shared) {
	      __attachListeners({ config: cfg, shared: shared });
	    },
	    stop: function stop(cfg, shared) {}
	  };
	}

/***/ }
/******/ ])
});
;
//# sourceMappingURL=pmx-overlay.js.map